> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pilotstatus.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Enviar lista

> Envia uma mensagem de lista interativa com seções e linhas selecionáveis.



## OpenAPI

````yaml openapi.evolution-v2.pt.json POST /message/sendList/{instance}
openapi: 3.1.0
info:
  title: Evolution V2 Layer
  version: 1.0.0
  description: >-
    Camada de API do Pilot Status — Evolution V2. Base URL
    `https://pilotstatus.com.br/api/layer/evolution-v2`. Autentique com o header
    `apikey` (sua chave `ps_` do Pilot Status). Endpoints de instância/sessão
    NÃO estão disponíveis na camada.
servers:
  - url: https://pilotstatus.com.br/api/layer/evolution-v2
security:
  - apiKey: []
tags:
  - name: Chamada e Business
  - name: Chat
  - name: Grupo
  - name: Etiqueta (Label)
  - name: Mensagem
  - name: Perfil
  - name: Configurações e Proxy
  - name: Armazenamento (S3)
  - name: Template
paths:
  /message/sendList/{instance}:
    post:
      tags:
        - Mensagem
      summary: Enviar lista
      description: >-
        Envia uma mensagem de lista interativa com seções e linhas
        selecionáveis.
      operationId: post__message_sendList_instance
      parameters:
        - name: instance
          in: path
          required: true
          schema:
            type: string
          description: O nome de exibição do número no painel do Pilot Status.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                number:
                  type: string
                  description: Telefone do destinatário em E.164 sem `+`, ou um JID.
                  example: '5511999999999'
                title:
                  type: string
                  description: Título da lista.
                  example: Our menu
                footerText:
                  type: string
                  description: Texto de rodapé exibido abaixo da lista.
                  example: Pilot Status
                buttonText:
                  type: string
                  description: Rótulo do botão que abre a lista.
                  example: View options
                sections:
                  type: array
                  description: Array de objetos de seção (veja os campos abaixo).
                  items:
                    type: object
                  example:
                    - title: Drinks
                      rows:
                        - title: Coffee
                          description: Fresh brewed
                          rowId: drink_coffee
                        - title: Tea
                          description: Green tea
                          rowId: drink_tea
                sections[].title:
                  type: string
                  description: Título da seção.
                sections[].rows:
                  type: array
                  description: >-
                    Linhas, cada uma com `title`, `rowId` (obrigatórios) e
                    `description` opcional.
                  items:
                    type: object
                description:
                  type: string
                  description: Texto de descrição/corpo da lista.
                  example: Pick an item
                delay:
                  type: integer
                  description: Atraso antes do envio, em milissegundos.
                quoted:
                  type: object
                  description: Mensagem a citar/responder (`key`, `message`).
                everyOne:
                  type: boolean
                  description: Mencionar todos no grupo.
                mentioned:
                  type: array
                  items:
                    type: string
                  description: Array de strings numéricas a mencionar.
              required:
                - number
                - title
                - footerText
                - buttonText
                - sections
                - sections[].title
                - sections[].rows
      responses:
        '200':
          description: Sucesso — corpo de resposta nativo do provedor.
          content:
            application/json:
              schema:
                type: object
                description: >-
                  Sent an interactive list message. Returns the persisted
                  Baileys messageRaw envelope containing a listMessage.
                properties:
                  key:
                    type: object
                    properties:
                      remoteJid:
                        type: string
                      fromMe:
                        type: boolean
                      id:
                        type: string
                  pushName:
                    type: string
                  status:
                    type: string
                    enum:
                      - ERROR
                      - PENDING
                      - SERVER_ACK
                      - DELIVERY_ACK
                      - READ
                      - PLAYED
                  message:
                    type: object
                    properties:
                      listMessage:
                        type: object
                        properties:
                          title:
                            type: string
                          description:
                            type: string
                          buttonText:
                            type: string
                          footerText:
                            type: string
                          listType:
                            type: string
                            description: List type, e.g. 'SINGLE_SELECT'.
                          sections:
                            type: array
                            items:
                              type: object
                              properties:
                                title:
                                  type: string
                                rows:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      title:
                                        type: string
                                      description:
                                        type: string
                                      rowId:
                                        type: string
                  contextInfo:
                    type:
                      - object
                      - 'null'
                  messageType:
                    type: string
                  messageTimestamp:
                    type: integer
                  instanceId:
                    type: string
                  source:
                    type: string
              example:
                key:
                  remoteJid: 5511999999999@s.whatsapp.net
                  fromMe: true
                  id: 3EB0LIST778899AABBCCDD
                pushName: Você
                status: PENDING
                message:
                  listMessage:
                    title: Cardápio
                    description: Escolha uma opção
                    buttonText: Ver opções
                    footerText: Pilot Status
                    listType: SINGLE_SELECT
                    sections:
                      - title: Lanches
                        rows:
                          - title: X-Burguer
                            description: Pão, carne e queijo
                            rowId: item_1
                          - title: X-Salada
                            description: Com alface e tomate
                            rowId: item_2
                contextInfo: null
                messageType: listMessage
                messageTimestamp: 1720483800
                instanceId: a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d
                source: web
        default:
          description: Erro — erro do provedor ou da camada.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                  error:
                    type: string
                  message:
                    type: string
                  response:
                    type: object
              example:
                status: 400
                error: Bad Request
                message: Invalid payload
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: apikey
      description: >-
        Your Pilot Status API key (ps_...). Evolution GO also accepts
        `Authorization: Bearer <key>`.

````